<%@ Page Language="VB" Debug="true" %>
<%@ Import Namespace="ChartDirector" %>
<%@ Register TagPrefix="chart" Namespace="ChartDirector" Assembly="netchartdir" %>
<script runat="server">

'
' Create chart
'
Protected Sub createChart(viewer As WebChartViewer, img As String)

    ' The data for the pie chart
    Dim data() As Double = {18, 30, 20, 15}

    ' The labels for the pie chart
    Dim labels() As String = {"Labor", "Licenses", "Facilities", "Production"}

    ' The colors to use for the sectors
    Dim colors() As Integer = {&H66aaee, &Heebb22, &Hbbbbbb, &H8844ff}

    ' Create a PieChart object of size 200 x 220 pixels. Use a vertical gradient
    ' color from blue (0000cc) to deep blue (000044) as background. Use rounded
    ' corners of 16 pixels radius.
    Dim c As PieChart = New PieChart(200, 220)
    c.setBackground(c.linearGradientColor(0, 0, 0, c.getHeight(), &H0000cc, _
        &H000044))
    c.setRoundedFrame(&Hffffff, 16)

    ' Set the center of the pie at (100, 120) and the radius to 80 pixels
    c.setPieSize(100, 120, 80)

    ' Set the pie data
    c.setData(data, labels)

    ' Set the sector colors
    c.setColors2(Chart.DataColor, colors)

    ' Demonstrates various shading modes
    If img = "0" Then
        c.addTitle("Default Shading", "bold", 12, &Hffffff)
    ElseIf img = "1" Then
        c.addTitle("Local Gradient", "bold", 12, &Hffffff)
        c.setSectorStyle(Chart.LocalGradientShading)
    ElseIf img = "2" Then
        c.addTitle("Global Gradient", "bold", 12, &Hffffff)
        c.setSectorStyle(Chart.GlobalGradientShading)
    ElseIf img = "3" Then
        c.addTitle("Concave Shading", "bold", 12, &Hffffff)
        c.setSectorStyle(Chart.ConcaveShading)
    ElseIf img = "4" Then
        c.addTitle("Rounded Edge", "bold", 12, &Hffffff)
        c.setSectorStyle(Chart.RoundedEdgeShading)
    ElseIf img = "5" Then
        c.addTitle("Radial Gradient", "bold", 12, &Hffffff)
        c.setSectorStyle(Chart.RadialShading)
    End If

    ' Disable the sector labels by setting the color to Transparent
    c.setLabelStyle("", 8, Chart.Transparent)

    ' Output the chart
    viewer.Image = c.makeWebImage(Chart.PNG)

    ' Include tool tip for the chart
    viewer.ImageMap = c.getHTMLImageMap("", "", _
        "title='{label}: US${value}K ({percent}%)'")

End Sub

'
' Page Load event handler
'
Protected Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)

    createChart(WebChartViewer0, "0")
    createChart(WebChartViewer1, "1")
    createChart(WebChartViewer2, "2")
    createChart(WebChartViewer3, "3")
    createChart(WebChartViewer4, "4")
    createChart(WebChartViewer5, "5")

End Sub

</script>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>2D Pie Shading</title>
</head>
<body style="margin:5px 0px 0px 5px">
    <div style="font-size:18pt; font-family:verdana; font-weight:bold">
        2D Pie Shading
    </div>
    <hr style="border:solid 1px #000080" />
    <div style="font-size:10pt; font-family:verdana; margin-bottom:1.5em">
        <a href='viewsource.aspx?file=<%=Request("SCRIPT_NAME")%>'>View Source Code</a>
    </div>
    <chart:WebChartViewer id="WebChartViewer0" runat="server" />
    <chart:WebChartViewer id="WebChartViewer1" runat="server" />
    <chart:WebChartViewer id="WebChartViewer2" runat="server" />
    <chart:WebChartViewer id="WebChartViewer3" runat="server" />
    <chart:WebChartViewer id="WebChartViewer4" runat="server" />
    <chart:WebChartViewer id="WebChartViewer5" runat="server" />
</body>
</html>

